Subject: Re: [PATCH] xdiff: Show function names in hunk headers.

From: Andreas Ericsson <[email-masked]>
Date: Tue, 28 Mar 2006 13:07:00 +0200

Mark Wooding wrote:
> 
> The function names are parsed by a particularly stupid algorithm at the
> moment: it just tries to find a line in the `old' file, from before the
> start of the hunk, whose first character looks plausible.  Still, it's
> most definitely a start.
> 

Stupid is sometimes good. I've noticed that the gnu diff algorithm 
sometimes won't notice changes in small structs, though they are large 
enough for the surrounding context in the unified diff not to show it 
either.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231